Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder.wmf
Interface WMFConstants

    public interface WMFConstants

Contains the definitions of WMF constants.

Field Summary
`static int` | `ALTERNATE`
`static byte` | `ANSI_CHARSET`
`static int` | `BLACKNESS`
`static int` | `BS_DIBPATTERN`
`static int` | `BS_HATCHED`
`static int` | `BS_HOLLOW`
`static int` | `BS_NULL`
`static int` | `BS_PATTERN`
`static int` | `BS_SOLID`
`static String` | `CHARSET_ANSI` ANSI charset Java name, ie "ISO-8859-1" charset.
`static String` | `CHARSET_ARABIC` ARABIC charset Java name, ie "windows-1256" charset.
`static String` | `CHARSET_CHINESEBIG5` CHINESEBIG5 charset Java name, ie "Big5" charset.
`static String` | `CHARSET_CYRILLIC` CYRILLIC charset Java name, ie "windows-1251" charset.
`static String` | `CHARSET_DEFAULT` DEFAULT charset Java name, by default taken as "US-ASCII" charset.
`static String` | `CHARSET_EASTEUROPE` EASTEUROPE charset Java name, ie "cp1250" charset.
`static String` | `CHARSET_GB2312` GB2312 charset Java name, ie "GB2312" charset.
`static String` | `CHARSET_GREEK` GREEK charset Java name, ie "windows-1253" charset.
`static String` | `CHARSET_HANGUL` HANGUL charset Java name, ie "cp949" charset.
`static String` | `CHARSET_HEBREW` HEBREW charset Java name, ie "windows-1255" charset.
`static String` | `CHARSET_JOHAB` JOHAB charset Java name, ie "x-Johab" charset.
`static String` | `CHARSET_OEM` OEM charset Java name, ie "cp437" charset.
`static String` | `CHARSET_SHIFTJIS` SHIFTJIS charset Java name, ie "Shift_JIS" charset.
`static String` | `CHARSET_THAI` THAI charset Java name, ie "cp874" charset.
`static String` | `CHARSET_TURKISH` TURKISH charset Java name, ie "cp1254" charset.
`static String` | `CHARSET_VIETNAMESE` VIETNAMESE charset Java name, ie "windows-1253" charset.
`static byte` | `CLIP_CHARACTER_PRECIS`
`static byte` | `CLIP_DEFAULT_PRECIS`
`static byte` | `CLIP_LH_ANGLES`
`static byte` | `CLIP_MASK`
`static byte` | `CLIP_STROKE_PRECIS`
`static byte` | `CLIP_TT_ALWAYS`
`static byte` | `DEFAULT_CHARSET`
`static int` | `DEFAULT_INCH_VALUE` number of inches default values
`static byte` | `DEFAULT_PITCH`
`static byte` | `DEFAULT_QUALITY`
`static int` | `DIB_PAL_COLORS`
`static int` | `DIB_RGB_COLORS`
`static byte` | `DRAFT_QUALITY`
`static int` | `DSTINVERT`
`static int` | `ETO_CLIPPED`
`static int` | `ETO_OPAQUE`
`static byte` | `FF_DECORATIVE`
`static byte` | `FF_DONTCARE`
`static byte` | `FF_MODERN`
`static byte` | `FF_ROMAN`
`static byte` | `FF_SCRIPT`
`static byte` | `FF_SWISS`
`static byte` | `FIXED_PITCH`
`static int` | `FW_BLACK`
`static int` | `FW_BOLD`
`static int` | `FW_DONTCARE`
`static int` | `FW_NORMAL`
`static int` | `FW_THIN`
`static int` | `HS_BDIAGONAL`
`static int` | `HS_CROSS`
`static int` | `HS_DIAGCROSS`
`static int` | `HS_FDIAGONAL`
`static int` | `HS_HORIZONTAL`
`static int` | `HS_VERTICAL`
`static float` | `INCH_TO_MM` conversion from inches to Millimeters
`static int` | `MERGEPAINT`
`static int` | `META_ALDUS_APM`
`static int` | `META_ANIMATEPALETTE`
`static int` | `META_ARC`
`static int` | `META_BITBLT`
`static int` | `META_BLACKNESS` new constant for PATBLT.
`static int` | `META_CHARSET_ANSI` ANSI charset WMF ID.
`static int` | `META_CHARSET_ARABIC` ARABIC charset WMF ID.
`static int` | `META_CHARSET_CHINESEBIG5` CHINESEBIG5 charset WMF ID.
`static int` | `META_CHARSET_DEFAULT` DEFAULT charset WMF ID.
`static int` | `META_CHARSET_EASTEUROPE` EASTEUROPE charset WMF ID.
`static int` | `META_CHARSET_GB2312` GB2312 charset WMF ID.
`static int` | `META_CHARSET_GREEK` GREEK charset WMF ID.
`static int` | `META_CHARSET_HANGUL` HANGUL charset WMF ID.
`static int` | `META_CHARSET_HEBREW` HEBREW charset WMF ID.
`static int` | `META_CHARSET_JOHAB` JOHAB charset WMF ID.
`static int` | `META_CHARSET_OEM` OEM charset WMF ID.
`static int` | `META_CHARSET_RUSSIAN` RUSSIAN (CYRILLIC) charset WMF ID.
`static int` | `META_CHARSET_SHIFTJIS` SHIFTJIS charset WMF ID.
`static int` | `META_CHARSET_SYMBOL` SYMBOL charset WMF ID.
`static int` | `META_CHARSET_THAI` THAI charset WMF ID.
`static int` | `META_CHARSET_TURKISH` TURKISH charset WMF ID.
`static int` | `META_CHARSET_VIETNAMESE` VIETNAMESE charset WMF ID.
`static int` | `META_CHORD`
`static int` | `META_CREATEBITMAP`
`static int` | `META_CREATEBITMAPINDIRECT`
`static int` | `META_CREATEBRUSH`
`static int` | `META_CREATEBRUSHINDIRECT`
`static int` | `META_CREATEFONTINDIRECT`
`static int` | `META_CREATEPALETTE`
`static int` | `META_CREATEPATTERNBRUSH`
`static int` | `META_CREATEPENINDIRECT`
`static int` | `META_CREATEREGION`
`static int` | `META_DELETEOBJECT`
`static int` | `META_DIBBITBLT`
`static int` | `META_DIBCREATEPATTERNBRUSH`
`static int` | `META_DIBSTRETCHBLT`
`static int` | `META_DRAWTEXT`
`static int` | `META_DSTINVERT` new constant for PATBLT.
`static int` | `META_ELLIPSE`
`static int` | `META_ESCAPE`
`static int` | `META_EXCLUDECLIPRECT`
`static int` | `META_EXTFLOODFILL`
`static int` | `META_EXTTEXTOUT`
`static int` | `META_FILLREGION`
`static int` | `META_FLOODFILL`
`static int` | `META_FRAMEREGION`
`static int` | `META_INTERSECTCLIPRECT`
`static int` | `META_INVERTREGION`
`static int` | `META_LINETO`
`static int` | `META_MOVETO`
`static int` | `META_OBJ_ANSI_FIXED_FONT`
`static int` | `META_OBJ_ANSI_VAR_FONT`
`static int` | `META_OBJ_BLACK_BRUSH`
`static int` | `META_OBJ_BLACK_PEN`
`static int` | `META_OBJ_DEFAULT_PALETTE`
`static int` | `META_OBJ_DEVICE_DEFAULT_FONT`
`static int` | `META_OBJ_DKGRAY_BRUSH`
`static int` | `META_OBJ_GRAY_BRUSH`
`static int` | `META_OBJ_HOLLOW_BRUSH`
`static int` | `META_OBJ_LTGRAY_BRUSH`
`static int` | `META_OBJ_NULL_BRUSH`
`static int` | `META_OBJ_NULL_PEN`
`static int` | `META_OBJ_OEM_FIXED_FONT`
`static int` | `META_OBJ_SYSTEM_FIXED_FONT`
`static int` | `META_OBJ_SYSTEM_FONT`
`static int` | `META_OBJ_WHITE_BRUSH`
`static int` | `META_OBJ_WHITE_PEN`
`static int` | `META_OFFSETCLIPRGN`
`static int` | `META_OFFSETVIEWPORTORG`
`static int` | `META_OFFSETWINDOWORG`
`static int` | `META_PAINTREGION`
`static int` | `META_PATBLT`
`static int` | `META_PATCOPY` new constant for PATBLT.
`static int` | `META_PATINVERT` new constant for PATBLT.
`static int` | `META_PIE`
`static int` | `META_POLYBEZIER16`
`static int` | `META_POLYGON`
`static int` | `META_POLYLINE`
`static int` | `META_POLYPOLYGON`
`static int` | `META_PS_DASH`
`static int` | `META_PS_DASHDOT`
`static int` | `META_PS_DASHDOTDOT`
`static int` | `META_PS_DOT`
`static int` | `META_PS_INSIDEFRAME`
`static int` | `META_PS_NULL`
`static int` | `META_PS_SOLID`
`static int` | `META_REALIZEPALETTE`
`static int` | `META_RECTANGLE`
`static int` | `META_RESIZEPALETTE`
`static int` | `META_RESTOREDC`
`static int` | `META_ROUNDRECT`
`static int` | `META_SAVEDC`
`static int` | `META_SCALEVIEWPORTEXT`
`static int` | `META_SCALEWINDOWEXT`
`static int` | `META_SELECTCLIPREGION`
`static int` | `META_SELECTOBJECT`
`static int` | `META_SELECTPALETTE`
`static int` | `META_SETBKCOLOR`
`static int` | `META_SETBKMODE`
`static int` | `META_SETDIBTODEV`
`static int` | `META_SETLAYOUT`
`static int` | `META_SETMAPMODE`
`static int` | `META_SETMAPPERFLAGS`
`static int` | `META_SETPALENTRIES`
`static int` | `META_SETPIXEL`
`static int` | `META_SETPOLYFILLMODE`
`static int` | `META_SETRELABS`
`static int` | `META_SETROP2`
`static int` | `META_SETSTRETCHBLTMODE`
`static int` | `META_SETTEXTALIGN`
`static int` | `META_SETTEXTCHAREXTRA`
`static int` | `META_SETTEXTCOLOR`
`static int` | `META_SETTEXTJUSTIFICATION`
`static int` | `META_SETVIEWPORTEXT`
`static int` | `META_SETVIEWPORTORG`
`static int` | `META_SETWINDOWEXT`
`static int` | `META_SETWINDOWORG`
`static int` | `META_SETWINDOWORG_EX`
`static int` | `META_STRETCHBLT`
`static int` | `META_STRETCHDIB`
`static int` | `META_TEXTOUT`
`static int` | `META_WHITENESS` new constant for PATBLT.
`static int` | `MM_ANISOTROPIC`
`static int` | `MM_HIENGLISH`
`static int` | `MM_HIMETRIC`
`static int` | `MM_HITWIPS`
`static int` | `MM_ISOTROPIC`
`static int` | `MM_LOENGLISH`
`static int` | `MM_LOMETRIC`
`static int` | `MM_TEXT`
`static int` | `NOTSRCCOPY`
`static int` | `NOTSRCERASE`
`static byte` | `OEM_CHARSET`
`static int` | `OPAQUE`
`static byte` | `OUT_CHARACTER_PRECIS`
`static byte` | `OUT_DEFAULT_PRECIS`
`static byte` | `OUT_DEVICE_PRECIS`
`static byte` | `OUT_RASTER_PRECIS`
`static byte` | `OUT_STRING_PRECIS`
`static byte` | `OUT_STROKE_PRECIS`
`static byte` | `OUT_TT_PRECIS`
`static int` | `PATCOPY`
`static int` | `PATINVERT`
`static int` | `PATPAINT`
`static byte` | `PROOF_QUALITY`
`static int` | `R2_BLACK`
`static int` | `R2_COPYPEN`
`static int` | `R2_MASKNOTPENNOT`
`static int` | `R2_MASKPEN`
`static int` | `R2_MASKPENNOT`
`static int` | `R2_MERGENOTPEN`
`static int` | `R2_MERGEPEN`
`static int` | `R2_MERGEPENNOT`
`static int` | `R2_NOP`
`static int` | `R2_NOT`
`static int` | `R2_NOTCOPYPEN`
`static int` | `R2_NOTMASKPEN`
`static int` | `R2_NOTMERGEPEN`
`static int` | `R2_NOTXORPEN`
`static int` | `R2_WHITE`
`static int` | `R2_XORPEN`
`static byte` | `SHIFTJIS_CHARSET`
`static int` | `SRCAND`
`static int` | `SRCCOPY`
`static int` | `SRCERASE`
`static int` | `SRCINVERT`
`static int` | `SRCPAINT`
`static int` | `STRETCH_ANDSCANS`
`static int` | `STRETCH_BLACKONWHITE`
`static int` | `STRETCH_COLORONCOLOR`
`static int` | `STRETCH_DELETESCANS`
`static int` | `STRETCH_HALFTONE`
`static int` | `STRETCH_ORSCANS`
`static int` | `STRETCH_WHITEONBLACK`
`static byte` | `SYMBOL_CHARSET`
`static int` | `TA_BASELINE`
`static int` | `TA_BOTTOM`
`static int` | `TA_CENTER`
`static int` | `TA_LEFT`
`static int` | `TA_NOUPDATECP`
`static int` | `TA_RIGHT`
`static int` | `TA_TOP`
`static int` | `TA_UPDATECP`
`static int` | `TRANSPARENT`
`static byte` | `VARIABLE_PITCH`
`static int` | `WHITENESS`
`static int` | `WINDING`

Field Detail

### META_ALDUS_APM

    static final int META_ALDUS_APM

See Also:
  Constant Field Values

### META_DRAWTEXT

    static final int META_DRAWTEXT

See Also:
  Constant Field Values

### META_SETBKCOLOR

    static final int META_SETBKCOLOR

See Also:
  Constant Field Values

### META_SETBKMODE

    static final int META_SETBKMODE

See Also:
  Constant Field Values

### META_SETMAPMODE

    static final int META_SETMAPMODE

See Also:
  Constant Field Values

### META_SETROP2

    static final int META_SETROP2

See Also:
  Constant Field Values

### META_SETRELABS

    static final int META_SETRELABS

See Also:
  Constant Field Values

### META_SETPOLYFILLMODE

    static final int META_SETPOLYFILLMODE

See Also:
  Constant Field Values

### META_SETSTRETCHBLTMODE

    static final int META_SETSTRETCHBLTMODE

See Also:
  Constant Field Values

### META_SETTEXTCHAREXTRA

    static final int META_SETTEXTCHAREXTRA

See Also:
  Constant Field Values

### META_SETTEXTCOLOR

    static final int META_SETTEXTCOLOR

See Also:
  Constant Field Values

### META_SETTEXTJUSTIFICATION

    static final int META_SETTEXTJUSTIFICATION

See Also:
  Constant Field Values

### META_SETWINDOWORG

    static final int META_SETWINDOWORG

See Also:
  Constant Field Values

### META_SETWINDOWORG_EX

    static final int META_SETWINDOWORG_EX

See Also:
  Constant Field Values

### META_SETWINDOWEXT

    static final int META_SETWINDOWEXT

See Also:
  Constant Field Values

### META_SETVIEWPORTORG

    static final int META_SETVIEWPORTORG

See Also:
  Constant Field Values

### META_SETVIEWPORTEXT

    static final int META_SETVIEWPORTEXT

See Also:
  Constant Field Values

### META_OFFSETWINDOWORG

    static final int META_OFFSETWINDOWORG

See Also:
  Constant Field Values

### META_SCALEWINDOWEXT

    static final int META_SCALEWINDOWEXT

See Also:
  Constant Field Values

### META_OFFSETVIEWPORTORG

    static final int META_OFFSETVIEWPORTORG

See Also:
  Constant Field Values

### META_SCALEVIEWPORTEXT

    static final int META_SCALEVIEWPORTEXT

See Also:
  Constant Field Values

### META_LINETO

    static final int META_LINETO

See Also:
  Constant Field Values

### META_MOVETO

    static final int META_MOVETO

See Also:
  Constant Field Values

### META_EXCLUDECLIPRECT

    static final int META_EXCLUDECLIPRECT

See Also:
  Constant Field Values

### META_INTERSECTCLIPRECT

    static final int META_INTERSECTCLIPRECT

See Also:
  Constant Field Values

### META_ARC

    static final int META_ARC

See Also:
  Constant Field Values

### META_ELLIPSE

    static final int META_ELLIPSE

See Also:
  Constant Field Values

### META_FLOODFILL

    static final int META_FLOODFILL

See Also:
  Constant Field Values

### META_PIE

    static final int META_PIE

See Also:
  Constant Field Values

### META_RECTANGLE

    static final int META_RECTANGLE

See Also:
  Constant Field Values

### META_ROUNDRECT

    static final int META_ROUNDRECT

See Also:
  Constant Field Values

### META_PATBLT

    static final int META_PATBLT

See Also:
  Constant Field Values

### META_SAVEDC

    static final int META_SAVEDC

See Also:
  Constant Field Values

### META_SETPIXEL

    static final int META_SETPIXEL

See Also:
  Constant Field Values

### META_OFFSETCLIPRGN

    static final int META_OFFSETCLIPRGN

See Also:
  Constant Field Values

### META_TEXTOUT

    static final int META_TEXTOUT

See Also:
  Constant Field Values

### META_BITBLT

    static final int META_BITBLT

See Also:
  Constant Field Values

### META_STRETCHBLT

    static final int META_STRETCHBLT

See Also:
  Constant Field Values

### META_POLYGON

    static final int META_POLYGON

See Also:
  Constant Field Values

### META_POLYLINE

    static final int META_POLYLINE

See Also:
  Constant Field Values

### META_ESCAPE

    static final int META_ESCAPE

See Also:
  Constant Field Values

### META_RESTOREDC

    static final int META_RESTOREDC

See Also:
  Constant Field Values

### META_FILLREGION

    static final int META_FILLREGION

See Also:
  Constant Field Values

### META_FRAMEREGION

    static final int META_FRAMEREGION

See Also:
  Constant Field Values

### META_INVERTREGION

    static final int META_INVERTREGION

See Also:
  Constant Field Values

### META_PAINTREGION

    static final int META_PAINTREGION

See Also:
  Constant Field Values

### META_SELECTCLIPREGION

    static final int META_SELECTCLIPREGION

See Also:
  Constant Field Values

### META_SELECTOBJECT

    static final int META_SELECTOBJECT

See Also:
  Constant Field Values

### META_SETTEXTALIGN

    static final int META_SETTEXTALIGN

See Also:
  Constant Field Values

### META_CHORD

    static final int META_CHORD

See Also:
  Constant Field Values

### META_SETMAPPERFLAGS

    static final int META_SETMAPPERFLAGS

See Also:
  Constant Field Values

### META_EXTTEXTOUT

    static final int META_EXTTEXTOUT

See Also:
  Constant Field Values

### META_SETDIBTODEV

    static final int META_SETDIBTODEV

See Also:
  Constant Field Values

### META_SELECTPALETTE

    static final int META_SELECTPALETTE

See Also:
  Constant Field Values

### META_REALIZEPALETTE

    static final int META_REALIZEPALETTE

See Also:
  Constant Field Values

### META_ANIMATEPALETTE

    static final int META_ANIMATEPALETTE

See Also:
  Constant Field Values

### META_SETPALENTRIES

    static final int META_SETPALENTRIES

See Also:
  Constant Field Values

### META_POLYPOLYGON

    static final int META_POLYPOLYGON

See Also:
  Constant Field Values

### META_RESIZEPALETTE

    static final int META_RESIZEPALETTE

See Also:
  Constant Field Values

### META_DIBBITBLT

    static final int META_DIBBITBLT

See Also:
  Constant Field Values

### META_DIBSTRETCHBLT

    static final int META_DIBSTRETCHBLT

See Also:
  Constant Field Values

### META_DIBCREATEPATTERNBRUSH

    static final int META_DIBCREATEPATTERNBRUSH

See Also:
  Constant Field Values

### META_STRETCHDIB

    static final int META_STRETCHDIB

See Also:
  Constant Field Values

### META_EXTFLOODFILL

    static final int META_EXTFLOODFILL

See Also:
  Constant Field Values

### META_SETLAYOUT

    static final int META_SETLAYOUT

See Also:
  Constant Field Values

### META_DELETEOBJECT

    static final int META_DELETEOBJECT

See Also:
  Constant Field Values

### META_CREATEPALETTE

    static final int META_CREATEPALETTE

See Also:
  Constant Field Values

### META_CREATEPATTERNBRUSH

    static final int META_CREATEPATTERNBRUSH

See Also:
  Constant Field Values

### META_CREATEPENINDIRECT

    static final int META_CREATEPENINDIRECT

See Also:
  Constant Field Values

### META_CREATEFONTINDIRECT

    static final int META_CREATEFONTINDIRECT

See Also:
  Constant Field Values

### META_CREATEBRUSHINDIRECT

    static final int META_CREATEBRUSHINDIRECT

See Also:
  Constant Field Values

### META_CREATEREGION

    static final int META_CREATEREGION

See Also:
  Constant Field Values

### META_POLYBEZIER16

    static final int META_POLYBEZIER16

See Also:
  Constant Field Values

### META_CREATEBRUSH

    static final int META_CREATEBRUSH

See Also:
  Constant Field Values

### META_CREATEBITMAPINDIRECT

    static final int META_CREATEBITMAPINDIRECT

See Also:
  Constant Field Values

### META_CREATEBITMAP

    static final int META_CREATEBITMAP

See Also:
  Constant Field Values

### META_OBJ_WHITE_BRUSH

    static final int META_OBJ_WHITE_BRUSH

See Also:
  Constant Field Values

### META_OBJ_LTGRAY_BRUSH

    static final int META_OBJ_LTGRAY_BRUSH

See Also:
  Constant Field Values

### META_OBJ_GRAY_BRUSH

    static final int META_OBJ_GRAY_BRUSH

See Also:
  Constant Field Values

### META_OBJ_DKGRAY_BRUSH

    static final int META_OBJ_DKGRAY_BRUSH

See Also:
  Constant Field Values

### META_OBJ_BLACK_BRUSH

    static final int META_OBJ_BLACK_BRUSH

See Also:
  Constant Field Values

### META_OBJ_NULL_BRUSH

    static final int META_OBJ_NULL_BRUSH

See Also:
  Constant Field Values

### META_OBJ_HOLLOW_BRUSH

    static final int META_OBJ_HOLLOW_BRUSH

See Also:
  Constant Field Values

### META_OBJ_WHITE_PEN

    static final int META_OBJ_WHITE_PEN

See Also:
  Constant Field Values

### META_OBJ_BLACK_PEN

    static final int META_OBJ_BLACK_PEN

See Also:
  Constant Field Values

### META_OBJ_NULL_PEN

    static final int META_OBJ_NULL_PEN

See Also:
  Constant Field Values

### META_OBJ_OEM_FIXED_FONT

    static final int META_OBJ_OEM_FIXED_FONT

See Also:
  Constant Field Values

### META_OBJ_ANSI_FIXED_FONT

    static final int META_OBJ_ANSI_FIXED_FONT

See Also:
  Constant Field Values

### META_OBJ_ANSI_VAR_FONT

    static final int META_OBJ_ANSI_VAR_FONT

See Also:
  Constant Field Values

### META_OBJ_SYSTEM_FONT

    static final int META_OBJ_SYSTEM_FONT

See Also:
  Constant Field Values

### META_OBJ_DEVICE_DEFAULT_FONT

    static final int META_OBJ_DEVICE_DEFAULT_FONT

See Also:
  Constant Field Values

### META_OBJ_DEFAULT_PALETTE

    static final int META_OBJ_DEFAULT_PALETTE

See Also:
  Constant Field Values

### META_OBJ_SYSTEM_FIXED_FONT

    static final int META_OBJ_SYSTEM_FIXED_FONT

See Also:
  Constant Field Values

### STRETCH_BLACKONWHITE

    static final int STRETCH_BLACKONWHITE

See Also:
  Constant Field Values

### STRETCH_WHITEONBLACK

    static final int STRETCH_WHITEONBLACK

See Also:
  Constant Field Values

### STRETCH_COLORONCOLOR

    static final int STRETCH_COLORONCOLOR

See Also:
  Constant Field Values

### STRETCH_HALFTONE

    static final int STRETCH_HALFTONE

See Also:
  Constant Field Values

### STRETCH_ANDSCANS

    static final int STRETCH_ANDSCANS

See Also:
  Constant Field Values

### STRETCH_ORSCANS

    static final int STRETCH_ORSCANS

See Also:
  Constant Field Values

### STRETCH_DELETESCANS

    static final int STRETCH_DELETESCANS

See Also:
  Constant Field Values

### META_PATCOPY

    static final int META_PATCOPY

  new constant for PATBLT.

  See Also:
    Constant Field Values

### META_PATINVERT

    static final int META_PATINVERT

  new constant for PATBLT.

  See Also:
    Constant Field Values

### META_DSTINVERT

    static final int META_DSTINVERT

  new constant for PATBLT.

  See Also:
    Constant Field Values

### META_BLACKNESS

    static final int META_BLACKNESS

  new constant for PATBLT.

  See Also:
    Constant Field Values

### META_WHITENESS

    static final int META_WHITENESS

  new constant for PATBLT.

  See Also:
    Constant Field Values

### META_PS_SOLID

    static final int META_PS_SOLID

See Also:
  Constant Field Values

### META_PS_DASH

    static final int META_PS_DASH

See Also:
  Constant Field Values

### META_PS_DOT

    static final int META_PS_DOT

See Also:
  Constant Field Values

### META_PS_DASHDOT

    static final int META_PS_DASHDOT

See Also:
  Constant Field Values

### META_PS_DASHDOTDOT

    static final int META_PS_DASHDOTDOT

See Also:
  Constant Field Values

### META_PS_NULL

    static final int META_PS_NULL

See Also:
  Constant Field Values

### META_PS_INSIDEFRAME

    static final int META_PS_INSIDEFRAME

See Also:
  Constant Field Values

### META_CHARSET_ANSI

    static final int META_CHARSET_ANSI

  ANSI charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_DEFAULT

    static final int META_CHARSET_DEFAULT

  DEFAULT charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_SYMBOL

    static final int META_CHARSET_SYMBOL

  SYMBOL charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_SHIFTJIS

    static final int META_CHARSET_SHIFTJIS

  SHIFTJIS charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_HANGUL

    static final int META_CHARSET_HANGUL

  HANGUL charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_JOHAB

    static final int META_CHARSET_JOHAB

  JOHAB charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_GB2312

    static final int META_CHARSET_GB2312

  GB2312 charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_CHINESEBIG5

    static final int META_CHARSET_CHINESEBIG5

  CHINESEBIG5 charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_GREEK

    static final int META_CHARSET_GREEK

  GREEK charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_TURKISH

    static final int META_CHARSET_TURKISH

  TURKISH charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_VIETNAMESE

    static final int META_CHARSET_VIETNAMESE

  VIETNAMESE charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_HEBREW

    static final int META_CHARSET_HEBREW

  HEBREW charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_ARABIC

    static final int META_CHARSET_ARABIC

  ARABIC charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_RUSSIAN

    static final int META_CHARSET_RUSSIAN

  RUSSIAN (CYRILLIC) charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_THAI

    static final int META_CHARSET_THAI

  THAI charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_EASTEUROPE

    static final int META_CHARSET_EASTEUROPE

  EASTEUROPE charset WMF ID.

  See Also:
    Constant Field Values

### META_CHARSET_OEM

    static final int META_CHARSET_OEM

  OEM charset WMF ID.

  See Also:
    Constant Field Values

### CHARSET_ANSI

    static final String CHARSET_ANSI

  ANSI charset Java name, ie "ISO-8859-1" charset.

  See Also:
    Constant Field Values

### CHARSET_DEFAULT

    static final String CHARSET_DEFAULT

  DEFAULT charset Java name, by default taken as "US-ASCII" charset.

  See Also:
    Constant Field Values

### CHARSET_SHIFTJIS

    static final String CHARSET_SHIFTJIS

  SHIFTJIS charset Java name, ie "Shift_JIS" charset.

  See Also:
    Constant Field Values

### CHARSET_HANGUL

    static final String CHARSET_HANGUL

  HANGUL charset Java name, ie "cp949" charset.

  See Also:
    Constant Field Values

### CHARSET_JOHAB

    static final String CHARSET_JOHAB

  JOHAB charset Java name, ie "x-Johab" charset.

  See Also:
    Constant Field Values

### CHARSET_GB2312

    static final String CHARSET_GB2312

  GB2312 charset Java name, ie "GB2312" charset.

  See Also:
    Constant Field Values

### CHARSET_CHINESEBIG5

    static final String CHARSET_CHINESEBIG5

  CHINESEBIG5 charset Java name, ie "Big5" charset.

  See Also:
    Constant Field Values

### CHARSET_GREEK

    static final String CHARSET_GREEK

  GREEK charset Java name, ie "windows-1253" charset.

  See Also:
    Constant Field Values

### CHARSET_TURKISH

    static final String CHARSET_TURKISH

  TURKISH charset Java name, ie "cp1254" charset.

  See Also:
    Constant Field Values

### CHARSET_VIETNAMESE

    static final String CHARSET_VIETNAMESE

  VIETNAMESE charset Java name, ie "windows-1253" charset.

  See Also:
    Constant Field Values

### CHARSET_CYRILLIC

    static final String CHARSET_CYRILLIC

  CYRILLIC charset Java name, ie "windows-1251" charset.

  See Also:
    Constant Field Values

### CHARSET_HEBREW

    static final String CHARSET_HEBREW

  HEBREW charset Java name, ie "windows-1255" charset.

  See Also:
    Constant Field Values

### CHARSET_ARABIC

    static final String CHARSET_ARABIC

  ARABIC charset Java name, ie "windows-1256" charset.

  See Also:
    Constant Field Values

### CHARSET_THAI

    static final String CHARSET_THAI

  THAI charset Java name, ie "cp874" charset.

  See Also:
    Constant Field Values

### CHARSET_EASTEUROPE

    static final String CHARSET_EASTEUROPE

  EASTEUROPE charset Java name, ie "cp1250" charset.

  See Also:
    Constant Field Values

### CHARSET_OEM

    static final String CHARSET_OEM

  OEM charset Java name, ie "cp437" charset.

  See Also:
    Constant Field Values

### INCH_TO_MM

    static final float INCH_TO_MM

  conversion from inches to Millimeters

  See Also:
    Constant Field Values

### DEFAULT_INCH_VALUE

    static final int DEFAULT_INCH_VALUE

  number of inches default values

  See Also:
    Constant Field Values

### MM_TEXT

    static final int MM_TEXT

See Also:
  Constant Field Values

### MM_LOMETRIC

    static final int MM_LOMETRIC

See Also:
  Constant Field Values

### MM_HIMETRIC

    static final int MM_HIMETRIC

See Also:
  Constant Field Values

### MM_LOENGLISH

    static final int MM_LOENGLISH

See Also:
  Constant Field Values

### MM_HIENGLISH

    static final int MM_HIENGLISH

See Also:
  Constant Field Values

### MM_HITWIPS

    static final int MM_HITWIPS

See Also:
  Constant Field Values

### MM_ISOTROPIC

    static final int MM_ISOTROPIC

See Also:
  Constant Field Values

### MM_ANISOTROPIC

    static final int MM_ANISOTROPIC

See Also:
  Constant Field Values

### BS_SOLID

    static final int BS_SOLID

See Also:
  Constant Field Values

### BS_HOLLOW

    static final int BS_HOLLOW

See Also:
  Constant Field Values

### BS_NULL

    static final int BS_NULL

See Also:
  Constant Field Values

### BS_HATCHED

    static final int BS_HATCHED

See Also:
  Constant Field Values

### BS_PATTERN

    static final int BS_PATTERN

See Also:
  Constant Field Values

### BS_DIBPATTERN

    static final int BS_DIBPATTERN

See Also:
  Constant Field Values

### HS_HORIZONTAL

    static final int HS_HORIZONTAL

See Also:
  Constant Field Values

### HS_VERTICAL

    static final int HS_VERTICAL

See Also:
  Constant Field Values

### HS_FDIAGONAL

    static final int HS_FDIAGONAL

See Also:
  Constant Field Values

### HS_BDIAGONAL

    static final int HS_BDIAGONAL

See Also:
  Constant Field Values

### HS_CROSS

    static final int HS_CROSS

See Also:
  Constant Field Values

### HS_DIAGCROSS

    static final int HS_DIAGCROSS

See Also:
  Constant Field Values

### DIB_RGB_COLORS

    static final int DIB_RGB_COLORS

See Also:
  Constant Field Values

### DIB_PAL_COLORS

    static final int DIB_PAL_COLORS

See Also:
  Constant Field Values

### FW_DONTCARE

    static final int FW_DONTCARE

See Also:
  Constant Field Values

### FW_THIN

    static final int FW_THIN

See Also:
  Constant Field Values

### FW_NORMAL

    static final int FW_NORMAL

See Also:
  Constant Field Values

### FW_BOLD

    static final int FW_BOLD

See Also:
  Constant Field Values

### FW_BLACK

    static final int FW_BLACK

See Also:
  Constant Field Values

### ANSI_CHARSET

    static final byte ANSI_CHARSET

See Also:
  Constant Field Values

### DEFAULT_CHARSET

    static final byte DEFAULT_CHARSET

See Also:
  Constant Field Values

### SYMBOL_CHARSET

    static final byte SYMBOL_CHARSET

See Also:
  Constant Field Values

### SHIFTJIS_CHARSET

    static final byte SHIFTJIS_CHARSET

See Also:
  Constant Field Values

### OEM_CHARSET

    static final byte OEM_CHARSET

See Also:
  Constant Field Values

### OUT_DEFAULT_PRECIS

    static final byte OUT_DEFAULT_PRECIS

See Also:
  Constant Field Values

### OUT_STRING_PRECIS

    static final byte OUT_STRING_PRECIS

See Also:
  Constant Field Values

### OUT_CHARACTER_PRECIS

    static final byte OUT_CHARACTER_PRECIS

See Also:
  Constant Field Values

### OUT_STROKE_PRECIS

    static final byte OUT_STROKE_PRECIS

See Also:
  Constant Field Values

### OUT_TT_PRECIS

    static final byte OUT_TT_PRECIS

See Also:
  Constant Field Values

### OUT_DEVICE_PRECIS

    static final byte OUT_DEVICE_PRECIS

See Also:
  Constant Field Values

### OUT_RASTER_PRECIS

    static final byte OUT_RASTER_PRECIS

See Also:
  Constant Field Values

### CLIP_DEFAULT_PRECIS

    static final byte CLIP_DEFAULT_PRECIS

See Also:
  Constant Field Values

### CLIP_CHARACTER_PRECIS

    static final byte CLIP_CHARACTER_PRECIS

See Also:
  Constant Field Values

### CLIP_STROKE_PRECIS

    static final byte CLIP_STROKE_PRECIS

See Also:
  Constant Field Values

### CLIP_MASK

    static final byte CLIP_MASK

See Also:
  Constant Field Values

### CLIP_LH_ANGLES

    static final byte CLIP_LH_ANGLES

See Also:
  Constant Field Values

### CLIP_TT_ALWAYS

    static final byte CLIP_TT_ALWAYS

See Also:
  Constant Field Values

### DEFAULT_QUALITY

    static final byte DEFAULT_QUALITY

See Also:
  Constant Field Values

### DRAFT_QUALITY

    static final byte DRAFT_QUALITY

See Also:
  Constant Field Values

### PROOF_QUALITY

    static final byte PROOF_QUALITY

See Also:
  Constant Field Values

### DEFAULT_PITCH

    static final byte DEFAULT_PITCH

See Also:
  Constant Field Values

### FIXED_PITCH

    static final byte FIXED_PITCH

See Also:
  Constant Field Values

### VARIABLE_PITCH

    static final byte VARIABLE_PITCH

See Also:
  Constant Field Values

### FF_DONTCARE

    static final byte FF_DONTCARE

See Also:
  Constant Field Values

### FF_ROMAN

    static final byte FF_ROMAN

See Also:
  Constant Field Values

### FF_SWISS

    static final byte FF_SWISS

See Also:
  Constant Field Values

### FF_MODERN

    static final byte FF_MODERN

See Also:
  Constant Field Values

### FF_SCRIPT

    static final byte FF_SCRIPT

See Also:
  Constant Field Values

### FF_DECORATIVE

    static final byte FF_DECORATIVE

See Also:
  Constant Field Values

### TRANSPARENT

    static final int TRANSPARENT

See Also:
  Constant Field Values

### OPAQUE

    static final int OPAQUE

See Also:
  Constant Field Values

### ALTERNATE

    static final int ALTERNATE

See Also:
  Constant Field Values

### WINDING

    static final int WINDING

See Also:
  Constant Field Values

### TA_TOP

    static final int TA_TOP

See Also:
  Constant Field Values

### TA_BOTTOM

    static final int TA_BOTTOM

See Also:
  Constant Field Values

### TA_BASELINE

    static final int TA_BASELINE

See Also:
  Constant Field Values

### TA_LEFT

    static final int TA_LEFT

See Also:
  Constant Field Values

### TA_RIGHT

    static final int TA_RIGHT

See Also:
  Constant Field Values

### TA_CENTER

    static final int TA_CENTER

See Also:
  Constant Field Values

### TA_NOUPDATECP

    static final int TA_NOUPDATECP

See Also:
  Constant Field Values

### TA_UPDATECP

    static final int TA_UPDATECP

See Also:
  Constant Field Values

### R2_BLACK

    static final int R2_BLACK

See Also:
  Constant Field Values

### R2_NOTMERGEPEN

    static final int R2_NOTMERGEPEN

See Also:
  Constant Field Values

### R2_MASKNOTPENNOT

    static final int R2_MASKNOTPENNOT

See Also:
  Constant Field Values

### R2_NOTCOPYPEN

    static final int R2_NOTCOPYPEN

See Also:
  Constant Field Values

### R2_MASKPENNOT

    static final int R2_MASKPENNOT

See Also:
  Constant Field Values

### R2_NOT

    static final int R2_NOT

See Also:
  Constant Field Values

### R2_XORPEN

    static final int R2_XORPEN

See Also:
  Constant Field Values

### R2_NOTMASKPEN

    static final int R2_NOTMASKPEN

See Also:
  Constant Field Values

### R2_MASKPEN

    static final int R2_MASKPEN

See Also:
  Constant Field Values

### R2_NOTXORPEN

    static final int R2_NOTXORPEN

See Also:
  Constant Field Values

### R2_NOP

    static final int R2_NOP

See Also:
  Constant Field Values

### R2_MERGENOTPEN

    static final int R2_MERGENOTPEN

See Also:
  Constant Field Values

### R2_COPYPEN

    static final int R2_COPYPEN

See Also:
  Constant Field Values

### R2_MERGEPENNOT

    static final int R2_MERGEPENNOT

See Also:
  Constant Field Values

### R2_MERGEPEN

    static final int R2_MERGEPEN

See Also:
  Constant Field Values

### R2_WHITE

    static final int R2_WHITE

See Also:
  Constant Field Values

### ETO_OPAQUE

    static final int ETO_OPAQUE

See Also:
  Constant Field Values

### ETO_CLIPPED

    static final int ETO_CLIPPED

See Also:
  Constant Field Values

### BLACKNESS

    static final int BLACKNESS

See Also:
  Constant Field Values

### NOTSRCERASE

    static final int NOTSRCERASE

See Also:
  Constant Field Values

### NOTSRCCOPY

    static final int NOTSRCCOPY

See Also:
  Constant Field Values

### SRCERASE

    static final int SRCERASE

See Also:
  Constant Field Values

### DSTINVERT

    static final int DSTINVERT

See Also:
  Constant Field Values

### PATINVERT

    static final int PATINVERT

See Also:
  Constant Field Values

### SRCINVERT

    static final int SRCINVERT

See Also:
  Constant Field Values

### SRCAND

    static final int SRCAND

See Also:
  Constant Field Values

### MERGEPAINT

    static final int MERGEPAINT

See Also:
  Constant Field Values

### SRCCOPY

    static final int SRCCOPY

See Also:
  Constant Field Values

### SRCPAINT

    static final int SRCPAINT

See Also:
  Constant Field Values

### PATCOPY

    static final int PATCOPY

See Also:
  Constant Field Values

### PATPAINT

    static final int PATPAINT

See Also:
  Constant Field Values

### WHITENESS

    static final int WHITENESS

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.